![Logo Dark](docs/source/_static/PhysicsML_Logo_PhyML_logo%20full%20light-cropped.svg#gh-dark-mode-only)
![Logo Light](docs/source/_static/PhysicsML_Logo_PhyML_logo%20full%20dark-cropped.svg#gh-light-mode-only)

---

[![PyPI version](https://img.shields.io/pypi/v/physicsml)](https://pypi.org/project/physicsml/)
[![Supported Python versions](https://img.shields.io/badge/python-3.8%20%7C%203.9%20%7C%203.10%20%7C%203.11-blue.svg)](https://docs.python.org/3/whatsnew/index.html)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/charliermarsh/ruff/main/assets/badge/v2.json)](https://github.com/charliermarsh/ruff)
[![Checked with mypy](https://img.shields.io/badge/mypy-checked-blue)](http://mypy-lang.org/)
[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit)](https://github.com/pre-commit/pre-commit)


---

## What is PhysicsML?

PhysicsML is a package for all physics based/related models. It provides a standardised interface for handling, building,
and training 3d models!

## Installation
### With pip

```bash
pip install physicsml
```

#### Optional Dependencies

Some functionalities in `physicsml` require additional dependencies, which you can install as needed. For example

```bash
pip install physicsml[rdkit]
```

## Documentation

To learn more about how to use ``physicsml``, see the [documentation](https://exscientia.github.io/physicsml/).

## Contribution guidelines

Anyone is welcome to submit PRs for new functionality or fixes! Just create a pull request and we will review and get back to
you.

## License
[MIT License](LICENSE)

## Acknowledgements

The ``physicsml`` package has been developed by researchers at Exscientia

* Adam Baskerville
* Aayush Gupta
* Ward Haddadin
* Kavindri Ranasinghe
* Ben Suutari
