from collections import OrderedDict

import torch

ani_1_2_net_sizes_dict = {
    "ani1": OrderedDict(
        {
            "H": [384, 160, 128, 96],
            "C": [384, 144, 112, 96],
            "N": [384, 128, 112, 96],
            "O": [384, 128, 112, 96],
        },
    ),
    "ani2": OrderedDict(
        {
            "H": [1008, 256, 192, 160],
            "C": [1008, 224, 192, 160],
            "N": [1008, 192, 160, 128],
            "O": [1008, 192, 160, 128],
            "S": [1008, 160, 128, 96],
            "F": [1008, 160, 128, 96],
            "Cl": [1008, 160, 128, 96],
        },
    ),
    "ani_spice": OrderedDict(
        {
            "H": [1920, 256, 192, 160],
            "C": [1920, 224, 192, 160],
            "N": [1920, 192, 160, 128],
            "O": [1920, 192, 160, 128],
            "F": [1920, 160, 128, 96],
            "P": [1920, 160, 128, 96],
            "S": [1920, 160, 128, 96],
            "Cl": [1920, 160, 128, 96],
            "Br": [1920, 160, 128, 96],
            "I": [1920, 160, 128, 96],
        },
    ),
}

ani_1_2_aev_configs = {
    "ani1": {
        "Rcr": 5.2,
        "Rca": 3.5,
        "EtaR": torch.tensor([[16.0]]),
        "ShfR": torch.tensor(
            [
                [
                    0.9000,
                    1.1688,
                    1.4375,
                    1.7062,
                    1.9750,
                    2.2438,
                    2.5125,
                    2.7812,
                    3.0500,
                    3.3187,
                    3.5875,
                    3.8563,
                    4.1250,
                    4.3938,
                    4.6625,
                    4.9313,
                ],
            ],
        ),
        "EtaA": torch.tensor([[[[8.0]]]]),
        "Zeta": torch.tensor([[[[32.0]]]]),
        "ShfA": torch.tensor([[[[0.9000], [1.5500], [2.2000], [2.8500]]]]),
        "ShfZ": torch.tensor(
            [[[[0.1963, 0.5890, 0.9817, 1.3744, 1.7671, 2.1598, 2.5525, 2.9452]]]],
        ),
        "num_species": 4,
    },
    "ani2": {
        "Rcr": 5.1,
        "Rca": 3.5,
        "EtaR": torch.tensor([[19.7000]]),
        "ShfR": torch.tensor(
            [
                [
                    0.8000,
                    1.0688,
                    1.3375,
                    1.6063,
                    1.8750,
                    2.1437,
                    2.4125,
                    2.6813,
                    2.9500,
                    3.2188,
                    3.4875,
                    3.7562,
                    4.0250,
                    4.2937,
                    4.5625,
                    4.8313,
                ],
            ],
        ),
        "EtaA": torch.tensor([[[[12.5000]]]]),
        "Zeta": torch.tensor([[[[14.1000]]]]),
        "ShfA": torch.tensor(
            [
                [
                    [
                        [0.8000],
                        [1.1375],
                        [1.4750],
                        [1.8125],
                        [2.1500],
                        [2.4875],
                        [2.8250],
                        [3.1625],
                    ],
                ],
            ],
        ),
        "ShfZ": torch.tensor([[[[0.3927, 1.1781, 1.9635, 2.7489]]]]),
        "num_species": 7,
    },
    "ani_spice": {
        "Rcr": 5.1,
        "Rca": 3.5,
        "EtaR": torch.tensor([[19.7000]]),
        "ShfR": torch.tensor(
            [
                [
                    0.8000,
                    1.0688,
                    1.3375,
                    1.6063,
                    1.8750,
                    2.1437,
                    2.4125,
                    2.6813,
                    2.9500,
                    3.2188,
                    3.4875,
                    3.7562,
                    4.0250,
                    4.2937,
                    4.5625,
                    4.8313,
                ],
            ],
        ),
        "EtaA": torch.tensor([[[[12.5000]]]]),
        "Zeta": torch.tensor([[[[14.1000]]]]),
        "ShfA": torch.tensor(
            [
                [
                    [
                        [0.8000],
                        [1.1375],
                        [1.4750],
                        [1.8125],
                        [2.1500],
                        [2.4875],
                        [2.8250],
                        [3.1625],
                    ],
                ],
            ],
        ),
        "ShfZ": torch.tensor([[[[0.3927, 1.1781, 1.9635, 2.7489]]]]),
        "num_species": 10,
    },
}
